Bug 229259 - (CVE-2007-1006) CVE-2007-1006 Ekiga format string flaw
CVE-2007-1006 Ekiga format string flaw
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
6
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Daniel Veillard
impact=critical,source=secunia,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-19 15:01 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-03 19:43:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch extracted from SVN (3.32 KB, patch)
2007-02-19 15:01 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2007-02-19 15:01:46 EST
A format string flaw was found in the way Ekiga processes certain messages form
remote clients.  This flaw could allow a remote attacker to execute arbitrary
code as the user running Ekiga.

This flaw also affects FC5
Comment 1 Josh Bressers 2007-02-19 15:01:46 EST
Created attachment 148361 [details]
Upstream patch extracted from SVN
Comment 2 Fedora Update System 2007-02-20 23:18:31 EST
ekiga-2.0.1-4 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2007-02-20 23:19:00 EST
ekiga-2.0.5-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.